Update loan setup values

This request updates a loan's setup configuration information.

   Click here to learn more about this request

When a loan is created, the information that's stored within the LoanSetup object is used by the LoanPro calculator to generate loan schedules, amounts, and more. The LoanSetup object is nested within the Loans entity, and it holds loan information such as loan amount, interest rate, term, and more.

A loan can be created with only a few values and then be updated with additional information later. This request is used to provide additional setup information or edit a loan's existing setup information.

Note the following when updating loan setup information:

The values in LoanSetup directly affect how a loan is calculated.

It's impossible to update these values if the loan is activated.

The ID of the loan setup configuration and the "__update" field are required within this payload.

For more information on this topic and examples of how it works within the UI, take a look at our Setup Terms article.

Database

For information on loan database tables, see the following articles:

Database – Loan Table (loan_entity)

Database – Loan Setup (loan_setup_entity)

// The "__id" and "__update" fields are required when updating a loan setup configuration.

{
    "LoanSetup": {
        "__id": 9763,
        "__update": true,
        "modId": 0,
        "active": 0,
        "apr": "14.9999",
        "aprForceSingle": "0",
        "payment": "237.90",
        "origFinalPaymentDate": "/Date(1817769600)/",
        "origFinalPaymentAmount": "237.80",
        "tilFinanceCharge": "4273.90",
        "tilTotalOfPayments": "14273.90",
        "tilLoanAmount": "10000.00",
        "tilSalesPrice": "14273.90",
        "tilPaymentSchedule": "[{\"count\":59,\"payment\":237.90000000000001,\"startDate\":\"09\\/09\\/2022\"},{\"count\":1,\"payment\":237.80000000000001,\"startDate\":\"08\\/09\\/2027\"}]",
        "regzCustomEnabled": 0,
        "regzApr": "0.0000",
        "regzFinanceCharge": "0.00",
        "regzAmountFinanced": "0.00",
        "regzTotalOfPayments": "0.00",
        "loanAmount": "2000.00",
        "discount": "0.00",
        "underwriting": 0,
        "loanRate": 15,
        "loanRateType": "loan.rateType.annually",
        "loanTerm": 60,
        "moneyFactor": 0,
        "residual": 0,
        "contractDate": "2022-08-10",
        "firstPaymentDate": "2022-09-24",
        "scheduleRound": "0.00",
        "amountDown": "0.00",
        "reserve": "0.00",
        "salesPrice": "0.00",
        "gap": "0.00",
        "warranty": "0.00",
        "dealerProfit": "0.00",
        "taxes": "0.00",
        "creditLimit": "0.00",
        "reportingCreditLimit": "0.00",
        "loanClass": "loan.class.consumer",
        "loanType": "loan.type.installment",
        "discountSplit": 1,
        "paymentFrequency": "loan.frequency.monthly",
        "calcType": "loan.calcType.simpleInterest",
        "daysInYear": "loan.daysInYear.frequency",
        "interestApplication": "loan.interestApplication.betweenPeriods",
        "begEnd": "loan.begend.end",
        "firstPeriodDays": "loan.firstPeriodDays.frequency",
        "firstDayInterest": 1,
        "discountCalc": "loan.discountCalc.rebalancing",
        "diyAlt": 0,
        "dueDateOnLastDOM": "0",
        "dueDatesOnBusinessDays": "loan.businessduedates.disabled",
        "daysInPeriod": "loan.daysinperiod.30",
        "roundDecimals": 2,
        "lastAsFinal": 0,
        "nddCalc": "loan.nddCalc.standard",
        "endInterest": "loan.endInterest.no",
        "scheduleTemplate": 0,
        "curtailmentTemplate": 0,
        "feesPaidBy": "loan.feesPaidBy.period",
        "useInterestTiers": 0,
        "calcHistoryEnabled": 0,
        "calcDatesEnabled": 0,
        "graceDays": 5,
        "lateFeeType": "loan.lateFee.1",
        "lateFeeAmount": "30.00",
        "lateFeeCalc": "loan.lateFeeCalc.standard",
        "lateFeePercentBase": "loan.latefeepercentbase.regular",
        "rollLastPayment": 0,
        "paymentDateApp": "loan.pmtdateapp.actual",
        "suspendForecastTo": null,
        "isSetupValid": true,
        "usuryAlert": null,
        "maxInterestAmount": null,
        "financeChargeAsMIA": 0,
        "setup": true,
        "escrowExtendFinal": 0,
        "showDiscPerc": false,
        "lateFeePercent": 0,
        "EscrowCalculators": {
            "results": [
                {
                    "id": 5367,
                    "entityType": "Entity.Loan",
                    "entityId": 9831,
                    "modId": null,
                    "subset": "1",
                    "term": 1,
                    "total": 0,
                    "percent": 0,
                    "firstPeriod": 0,
                    "regularPeriod": 0,
                    "percentBase": "loan.escrowPercentBase.basePayment",
                    "proRate1st": "loan.escrowProrateFirst.none",
                    "extendFinal": 0,
                    "disclosureLnAmtAdd": 1,
                    "_saved": true,
                    "paymentApplication": "loan.escrowpmtapp.percentfixed",
                    "lastPeriod": 0,
                    "allPayments": [],
                    "__update": true,
                    "__id": 5367
                }
            ]
        }
    }
}
Path Params
int32
required

The ID of the loan.

Body Params
LoanSetup
object

This object holds loan setup configuration information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json